Generate Data Encryption Key
const url = 'https://example.com/vault/v1/workspaces/example/engines/qibdo/cryptoKeys/example:generateDataEncryptionKey';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"workspace":"example","id":"example","bits":1,"wrapped_only":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/vault/v1/workspaces/example/engines/qibdo/cryptoKeys/example:generateDataEncryptionKey \ --header 'Content-Type: application/json' \ --data '{ "workspace": "example", "id": "example", "bits": 1, "wrapped_only": true }'AIP-136 custom method. Generates a data encryption key (DEK) wrapped under the named key. Optionally returns the plaintext DEK in the same response for envelope encryption flows.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The workspace the wrapping crypto key belongs to.
The unique identifier of the wrapping crypto key.
Request Body required
Section titled “Request Body required ”Request payload for Generate Data Encryption Key
Carries the input fields required to generate data encryption key.
object
The workspace the wrapping crypto key belongs to.
The unique identifier of the wrapping crypto key.
The size of the DEK to generate, in bits. Typical values: 128, 256, 512.
When true, the response omits the plaintext DEK (only the wrapped form is returned).
Example generated
{ "workspace": "example", "id": "example", "bits": 1, "wrapped_only": true}Responses
Section titled “ Responses ”OK
Response payload from Generate Data Encryption Key
Carries the output produced by generate data encryption key.
object
The DEK in plaintext form. Empty when wrapped_only=true.
The DEK wrapped (encrypted) under the named crypto key.
The version of the wrapping crypto key.
Example generated
{ "plaintext": "example", "ciphertext": "example", "key_version": "example"}default
Section titled “default ”Default error response
The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.
object
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
A list of messages that carry the error details. There is a common set of message types for APIs to use.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.
object
The type of the serialized message.
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}